読者です 読者をやめる 読者になる 読者になる

てしりこじり

しりがちいさいエンジニアがいるという

Ubuntu 14.04 の tmux を 1.8 から 2.0 にアップデートした

tmux のプラグインを利用しようとしたら tmux のバージョンが古いと怒られた。。。
1.9 にアップデートする手順を探したが、
最新化する方法があったのでそちらで対応

手順

  1. 事前準備
    sudo apt-get update
    sudo apt-get install -y python-software-properties software-properties-common

  2. リポジトリ追加
    sudo add-apt-repository -y ppa:pi-rho/dev

  3. リポジトリ最新化
    sudo apt-get update
  4. 最新版のインストール ※
    sudo apt-get install -y tmux=2.0-1~ppa1~t
  5. バージョン確認
    tmux -V

※ なお 4 の手順は Ubuntu のバージョンによって以下のとおり

# ubuntu 12.04 (Precise Pangolin) 
sudo apt-get install -y tmux=1.9a-1~ppa1~p (installs tmux 1.9, no package for tmux 2.0 yet)

# ubuntu 13.10 (Saucy Salamander) 
sudo apt-get install -y tmux=1.9a-1~ppa1~s (installs tmux 1.9, no package for tmux 2.0 yet)

# ubuntu 14.10 (Utopic Unicorn) 
sudo apt-get install -y tmux=2.0-1~ppa1~u

# ubuntu 15.04 (Vivid Vervet) 
sudo apt-get install -y tmux=2.0-1~ppa1~v

実行結果確認

2.0 にアップデートされた。

$ tmux -V
tmux 2.0